Bug 1014680 - looking for src.rpm when --nosource specified
looking for src.rpm when --nosource specified
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 10:18 EDT by Gene Czarcinski
Modified: 2015-06-29 08:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (3.21 KB, patch)
2014-04-07 19:26 EDT, Marek Marczykowski
no flags Details | Diff

  None (edit)
Description Gene Czarcinski 2013-10-02 10:18:35 EDT
Description of problem:
Runing pungi under mock -r fedora-20-x86_64 with updates-testing enabled.

Tried this with a couple of different kickstart files and they all failed the same.  The same commands/kickstarts built just fine under fedora-19-x86_64

The command:

pungi --nosource --nodebuginfo --flavor Fedora --name Fedora \
  --ver 20 -c /usr/share/spin-kickstarts/fedora-livecd-desktop.ks \
  -G

The result:
-----------------------------------
Pungi:INFO: Found caribou.x86_64
Pungi:INFO: Finished gathering package objects.
Pungi:INFO: Generating source <-> binary package mappings
Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 104, in main
    mypungi.gather()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 706, in gather
    self.createSourceHashes()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 778, in createSourceHashes
    srpmpo = self.get_srpm_po(po)
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 762, in get_srpm_po
    raise RuntimeError("Cannot find a source rpm for %s" % po.sourcerpm)
RuntimeError: Cannot find a source rpm for 0ad-0.0.14-1.fc20.src.rpm
-------------------------------------------------------------------------


Version-Release number of selected component (if applicable):
Fedora 19 host.  pungi 3.00-1 under mock

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Den 2013-10-15 07:20:48 EDT
I have the same problem.
Comment 2 Gene Czarcinski 2013-11-03 08:59:17 EST
BTW, if you add the repo for the source, it then proceeds.
Comment 3 Gene Czarcinski 2013-12-23 13:32:53 EST
ping!  Hello, anybody home? It would be nice if something was done.
Comment 4 Marek Marczykowski 2014-04-07 19:26:54 EDT
Created attachment 883792 [details]
proposed patch

This fixes the problem for me: when --nosource given, the image is successfully built even without all src.rpms available in provided repos. I haven't tested it without --nosource, but its pretty obvious that without --nosource all the old code is used.
Comment 5 Mark Montague 2014-09-14 21:59:19 EDT
I have the same problem.  The patch fixes the problem.
Comment 6 MERCIER Jonathan 2014-11-08 11:36:12 EST
same.

Thanks for the patch, it fixes the problem.
Comment 7 Fedora End Of Life 2015-05-29 05:30:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:31:13 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.